Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
leefloyd63
Posts: 2
Registered: ‎04-22-2011
My Device: Bold 9700

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

     I have installed the BlackBerry plugin for eclipse (v1.3) on my Windows 7 machine (3 or 4 times).  The installation wizard appears to complete successfully, but afterwards, the Windows dialog box displays a "This application may not have installed properly" popup window.  Sure enough, when I launch the "plugin" version of eclipse, it does not have any of the blackberry-specific menu items.

     Today I loaded a Virtual XP machine on my Windows 7 machine and installed the plugin successfully inside it.  The plugin documentation indicates that it runs under Windows 7, but it sure doesn't for me.  The installation wizard dows not have a "run in repair" mode, so I have to uninstall and then reinstall, but it doesn't seem to help.

     Does anyone have experience installing the plugin on Windows 7 that would be helpful?

Contributor
Igor77
Posts: 12
Registered: ‎02-03-2011
My Device: Not Specified

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!


kwallis wrote:

Hi Igor77.  Yes, this is a known issue with the current build of the plug-in working with SDK versions older than 6.0.  Can you please confirm, if your project targets 6.0, does it build then?

 

We are actively working on a resolution that we hope to publish soon.

 

Thanks.


the latest plug-in for Eclipse 1.3.0 Maintenance Release still has the problem throwing ArrayIndexOutOfBoundsException from CompiledResourceBundle.readPartString() while reading non-English strings (Hebrew in my case). I wonder whether any resolution is planned or should I stick with outdated plug-in version?

New Contributor
leefloyd63
Posts: 2
Registered: ‎04-22-2011
My Device: Bold 9700

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

I used the Help->Install New Software option and selected the plugin.  It didn't accept my user credentials, but it did appear to install the plugin functionality.  I now have the BlackBerry development perspective and the BlackBerry-specific menu items.  I have since loaded JDK 6, so that might have resolved the problem if I'd done it earlier.

Developer
ealcant
Posts: 34
Registered: ‎07-14-2011
My Device: BlackBerry Curve 9300

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

I'm having this error message since July 19:

 

We're Sorry...

 

  • Sorry, the file is temporarily unavailable, please try again later or contact the webmaster.



I have reported this to the issue tracker, also I posted in the support forum and I´m not receiving a feedback. Could you please provide a valid link to download the plugin?

 

Thank you

 

 

Contributor
liptaka
Posts: 24
Registered: ‎09-19-2011
My Device: 9900

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Hello!

 

I have the same problem today!

 

Under my eclipse when i try to "install new software", using the link:

http://www.blackberry.com/go/eclipseUpdate/3.6/java

 

On the prgress bar I see: "Fetching children..". It stops at 50%, and I get error:

"Unable to connect to repository. http://www.blackberry.com/go/eclipseUpdate/3.6/java/content.xml"

"org.eclipse.equinox.p2.core.ProvisionException"

 

Br,

Andras

 

 

Contributor
liptaka
Posts: 24
Registered: ‎09-19-2011
My Device: 9900

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Hello again,

 

Today it seems it works, just quite slow.

 

Br,

Andras

New Contributor
jancoler
Posts: 2
Registered: ‎11-11-2012
My Device: 9800

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Hello!

I am too , help me

 

I have the same problem today!

 

Under my eclipse when i try to "install new software", using the link:

http://www.blackberry.com/go/eclipseUpdate/3.6/java

 

On the prgress bar I see: "Fetching children..". It stops at 50%, and I get error:

"Unable to connect to repository. http://www.blackberry.com/go/eclipseUpdate/3.6/java/content.xml"

"org.eclipse.equinox.p2.core.ProvisionException"

 

Thank you very much.

Jancoler

Developer
peter_strange
Posts: 19,612
Registered: ‎07-14-2008
My Device: Not Specified

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

I am not sure that the 1.3 plugin is still available, so I would recommend that upi look at the downloads you find here:

https://developer.blackberry.com/java/download/eclipse

 

Also if you coick on the link entitled:

Adding the BlackBerry Update site in Eclipse (Windows)

You wll find that the link for Blackberry has changed.

 

Hope fully reviewing this documentation and reinstalling the latest plug-in should resolve your issue.  Let us know if they don't. 

New Contributor
jancoler
Posts: 2
Registered: ‎11-11-2012
My Device: 9800

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Thank you.

Best Regards,
Jancoler